org.apache.poi.hwpf.converter

## Class WordToHtmlUtils

- java.lang.Object
- - org.apache.poi.hwpf.converter.AbstractWordUtils
  - - org.apache.poi.hwpf.converter.WordToHtmlUtils

-     @Beta
      public class WordToHtmlUtils
      extends AbstractWordUtils

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils

      `AbstractWordUtils.NumberingState`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils

      `TWIPS_PER_INCH, TWIPS_PER_PT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordToHtmlUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addBold(boolean bold, java.lang.StringBuilder style)`
    `static void` | `addBorder(BorderCode borderCode, java.lang.String where, java.lang.StringBuilder style)`
    `static void` | `addCharactersProperties(CharacterRun characterRun, java.lang.StringBuilder style)`
    `static void` | `addFontFamily(java.lang.String fontFamily, java.lang.StringBuilder style)`
    `static void` | `addFontSize(int fontSize, java.lang.StringBuilder style)`
    `static void` | `addIndent(Paragraph paragraph, java.lang.StringBuilder style)`
    `static void` | `addJustification(Paragraph paragraph, java.lang.StringBuilder style)`
    `static void` | `addParagraphProperties(Paragraph paragraph, java.lang.StringBuilder style)`
    `static void` | `addTableCellProperties(TableRow tableRow, TableCell tableCell, boolean toppest, boolean bottomest, boolean leftest, boolean rightest, java.lang.StringBuilder style)`
    `static void` | `addTableRowProperties(TableRow tableRow, java.lang.StringBuilder style)`

    - ### Methods inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils

      `getBorderType, getBorderWidth, getBulletText, getColor, getColor24, getJustification, getLanguage, getListItemNumberLabel, getOpacity, loadDoc, loadDoc, loadDoc, loadDoc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WordToHtmlUtils

          public WordToHtmlUtils()

  - ### Method Detail

    - #### addBold

          public static void addBold(boolean bold,
                                     java.lang.StringBuilder style)

    - #### addBorder

          public static void addBorder(BorderCode borderCode,
                                       java.lang.String where,
                                       java.lang.StringBuilder style)

    - #### addCharactersProperties

          public static void addCharactersProperties(CharacterRun characterRun,
                                                     java.lang.StringBuilder style)

    - #### addFontFamily

          public static void addFontFamily(java.lang.String fontFamily,
                                           java.lang.StringBuilder style)

    - #### addFontSize

          public static void addFontSize(int fontSize,
                                         java.lang.StringBuilder style)

    - #### addIndent

          public static void addIndent(Paragraph paragraph,
                                       java.lang.StringBuilder style)

    - #### addJustification

          public static void addJustification(Paragraph paragraph,
                                              java.lang.StringBuilder style)

    - #### addParagraphProperties

          public static void addParagraphProperties(Paragraph paragraph,
                                                    java.lang.StringBuilder style)

    - #### addTableCellProperties

          public static void addTableCellProperties(TableRow tableRow,
                                                    TableCell tableCell,
                                                    boolean toppest,
                                                    boolean bottomest,
                                                    boolean leftest,
                                                    boolean rightest,
                                                    java.lang.StringBuilder style)

    - #### addTableRowProperties

          public static void addTableRowProperties(TableRow tableRow,
                                                   java.lang.StringBuilder style)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.